Skip to main content
PATCH
/
api
/
v2
/
custom-tags
/
{id}
Patch custom tag
curl --request PATCH \
  --url https://api.instantly.ai/api/v2/custom-tags/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "Important",
  "description": "Used for marking important items"
}
'
{
  "id": "019e3bd1-8de5-7eb9-bc8f-ed98d956ce86",
  "timestamp_created": "2026-05-18T16:00:49.637Z",
  "timestamp_updated": "2026-05-18T16:00:49.637Z",
  "organization_id": "019e3bd1-8de5-7eb9-bc8f-ed99735853da",
  "label": "Important",
  "description": "Used for marking important items"
}

Documentation Index

Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the item to update

Example:

"019e3bd1-b578-7d32-9ad0-e1792e81a53e"

Body

application/json
label
string

Display label for the custom tag

Example:

"Important"

description
string | null

Detailed description of the custom tag purpose

Example:

"Used for marking important items"

Response

The updated Custom Tag

A custom tag for organizing and categorizing accounts and campaigns. You can use them as filters in apis that list accounts and campaigns.

id
string<uuid>
required
read-only

Unique identifier for the custom tag

Example:

"019e3bd1-8de5-7eb9-bc8f-ed98d956ce86"

timestamp_created
string<date-time>
required
read-only

Timestamp when the custom tag was created

Example:

"2026-05-18T16:00:49.637Z"

timestamp_updated
string<date-time>
required
read-only

Timestamp when the custom tag was last updated

Example:

"2026-05-18T16:00:49.637Z"

organization_id
string<uuid>
required
read-only

Organization ID that owns this custom tag

Example:

"019e3bd1-8de5-7eb9-bc8f-ed99735853da"

label
string
required

Display label for the custom tag

Example:

"Important"

description
null | string

Detailed description of the custom tag purpose

Example:

"Used for marking important items"